Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01594 Sound Minor Always Mar 23, 2008, 21:36 Nov 5, 2018, 11:56
Tester Robbbert View Status Public Platform
Assigned To couriersud Resolution Fixed OS
Status [?] Resolved Driver galaxian.cpp
Version 0.116u3 Fixed in Version 0.133u2 Build
Summary 01594: pisces, piscesb: [possible] When you warp after the first level, the noise completely overrides the music.
Description When you warp after the first level, the noise completely overrides the music.
Steps To Reproduce
Additional Information Split from original bug pacmanbl0116u3yel. 00445

Formerly in driver galaxian.c (changed in 0.124u1)
Flags Possible
Regression Version
Affected Sets / Systems pisces, piscesb
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.15734
MetalGod
Tester
Nov 4, 2018, 11:19
Fixed between mame 0.133 and mame 0.134
User avatar
No.15737
Robbbert
Developer
Nov 4, 2018, 21:14
Thank you.
User avatar
No.15738
M.A.S.H.
Senior Tester
Nov 5, 2018, 11:56
@Robbbert
The correct "Fixed in Version" is 0.133u2 and not 0.134!

MAME 0.133u2: Created discrete sound emulation for galaxian [Couriersud]: Changed all audio related AM_WRITE to AM_DEV_WRITE. Moved discrete sound related pieces such as initialization into audio\galaxian.h. Split some memory maps into sound related and not sound related parts. Added possibility in discrete.h to select hardware (galaxian/moon cresta) at compile time. This leads to slightly different volume levels. Hit sound (explosion) has been hacked to increase volume. Currently, we can not accurately model the switch/opamp filter circuit. Rewrote timer code so that the pitch timer is only used when it produces audible results. Replaced Samples sound with Discrete.